macaulay2 (1.26.06+ds-3build1) stonking; urgency=medium

  * No-change rebuild for libflint24.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 16 Aug 2026 10:43:31 +0000

macaulay2 (1.26.06+ds-3) unstable; urgency=medium

  * debian/patches/skip-failing-package-tests
    - Skip check({10, 24}, "SpecialFanofourfolds") on i386; running out of
      memory.
  * debian/rules
    - Move removal of Visualize package's node_modules directory until
      after dh_auto_install; it was being regenerated during
      dh_auto_install!

 -- Doug Torrance <dtorrance@debian.org>  Mon, 15 Jun 2026 18:45:13 -0400

macaulay2 (1.26.06+ds-2) unstable; urgency=medium

  * debian/copyright
    - Update paths for engine files that were moved.
    - Update path for vim plugin and add Manoj Kummini as author.
    - Remove deleted GivaroTest.cpp file and now-unused CECILL-B license
      text.
  * debian/examples
    - Update cached ThreadedGB::ThreadedGB example.
  * debian/patches/cone.cpp-header.patch
    - New patch; simplify header to fix a couple build issues when
      backporting.
  * debian/rules
    - Properly remove Visualize package's node_modules directory before
      distributing.
  * debian/tests/control
    - Don't run core-tests on i386; frequently runs out of memory
      (Closes: #1139970).

 -- Doug Torrance <dtorrance@debian.org>  Sun, 14 Jun 2026 08:57:50 -0400

macaulay2 (1.26.06+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Stop requiring emacs-nox specifically in Build-Depends; any emacs
      will do, but we use emacs-nox if it isn't already installed.
    - Lots of updates to JavaScript dependencies (mostly libjs-* -> node-*)
      now that we build the Visualize package JavaScript files rather than
      symlinking them.
  * debian/copyright
    - Add license information for new packages.
      + DirectSummands
      + EuclideanDistanceDegree
      + LanguageServer
      + NeuralIdeals
      + ResultantComplexes
      + TestAudit
      + WeierstrassSemigroups
    - Remove license information fro removed packages.
      + RandomCanonicalCurves
      + RandomGenus14Curves
      + RandomPlaneCurves
      + RandomSpaceCurves.
    - Update my email address.
  * debian/macaulay2-common.install
    - Install generated JavaScript files since they are now built in the
      source directory by dh-nodejs.
  * debian/macaulay2-common.linktrees
    - Stop symlinking JavaScript files for Visualize package; they are now
      generated during the build.
  * debian/nodejs/*
    - New files; use dh-nodejs to generate the JavasScript files for syntax
      highlighting in the html documentation and for the Visualize package.
  * debian/patches/*
    - Refresh for new upstream release.
  * debian/patches/nonminimal-qq.patch
    - Remove patch; applied upstream.
  * debian/patches/skip-failing-package-tests.patch
    - Stop skipping check(12, "DeterminantalRepresentations"); fixed
      upstream.
    - Stop skipping RandomGenus14Curves tests since package was removed.
    - Skip new failing package tests:
      + check(1, "EnumerationCurves") (running out of memory on 32-bit
        systems).
      + check(1, "NoetherianOperators") (segfault on amd64 and arm64)
  * debian/patches/visualize.patch
    - New patch; get Visualize package to work with Debian Javascript
      packages (in particular, the bootstrap paths).
  * debian/rules
    - Several updates now that we use dh-nodejs for generating the
      JavaScript files.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 10 Jun 2026 08:46:34 -0400

macaulay2 (1.26.05+ds-2) unstable; urgency=medium

  * debian/control
    - Remove redundant Rules-Requires-Root field.
  * debian/copyright
    - Remove license info for now-removed NonminimalComplexes and
      PruneComplex packages.
  * debian/macaulay2-common.lintian-overrides
    - Remove overrides for .txt files from SchurFunctors package; the files
      have been removed.
  * debian/patches/gitignore.patch
    - Actually remove patch (was still present but not in series file).
  * debian/patches/nonminimal-qq.patch
    - New patch; fix segfault on some systems when using the Nonminimal
      resolution strategy over QQ (Closes: #1136997).
  * debian/source/include-binaries
    - Remove file; only entry was M2-symbols.el.gz, but M2-symbols.el is now
      distributed uncompressed.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 18 May 2026 07:29:46 -0400

macaulay2 (1.26.05+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Add libjansson-dev to Build-Depends; Jansson is now used for parsing
      JSON.
    - Bump Standards-Version to 4.7.4.
  * debian/copyright
    - Remove BootSideMenu.css from Files-Excluded; this file is no longer
      distributed.
    - Update upstream copyright years.
    - Merge stanzas for my upstream packages; they are all now GPL-2+.
    - Add license information for new packages.
      + EliminationTemplates
      + Macaulay2Posets
      + MRDI
      + Padic
      + SimplicialModules
      + WittVectors
    - Update paths to now-undistributed packages.
      + OldPolyhedra
      + OldToricVectorBundles
  * debian/not-installed
    - Mark that new static library for the Macaulay2 engine is not
      installed.
  * debian/patches
    - Refresh for new upstream release.
  * debian/gitignore.patch
    - Remove patch; applied upstream.
  * debian/skip-failing-core-tests.patch
    - Skip part of alarm.m2; failing on s390x.
    - Skip part of hilbertFunction.m2; timing assertion sometimes fails.
    - Skip part of methods.m2; failing on armhf.
  * debian/skip-failing-package-tests.patch
    - Stop skipping check(1, "Depth"); test has been simplified.
    - Skip check(73, "EngineTests"); failing on arm64.
    - Skip check(86, "Complexes"); timing assertion sometimes fails.
      Previously we skipped it on s390x  and ppc64el, but now we skip it
      everywhere.
    - Skip check({5, 22, 24, 26, 27}, "SpecialFourFolds"); failing on armhf
      and s390x.
  + debian/visualize.patch
    - Remove patch for now; significant upstream changes have been made to
      the Visualize package that will require more work to adapt to the
      Debian Javascript ecosystem.  Until then, the Visualize package
      will be broken.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 10 May 2026 07:59:35 -0400

macaulay2 (1.25.11+ds-4) unstable; urgency=medium

  * Rebuild against normaliz 3.11.1 to hopefully fix segfaults in CI tests
    again.
  * Rename the Emacs package installed by elpa-macaulay2 from "macaulay2"
    to "M2" to match the actual upstream package name.
  * debian/elpa-macaulay2.elpa
    - Update the name of the installed -pkg.el file.
  * debian/M2-pkg.el.in
    - Rename from d/macaulay2-pkg.el.in.
    - Update the package description slightly.
  * debian/rules
    - Export ELPA_NAME with new package name.
    - Update generation of -pkg.el file with new name.
  * debian/scripts/m2-get-orig-source.sh
    - Simplify slightly by using the $TARBALL variable throughout.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 07 Feb 2026 17:21:54 -0500

macaulay2 (1.25.11+ds-3) unstable; urgency=medium

  * debian/control
    - Drop Priority field; "optional" is now the default.
    - Bump Standards-Version to 4.7.3.
  * debian/copyright
    - Update my copyright years.
  * debian/source/options
    - Remove Python examples from ignored files; they no longer exist.
  * debian/tests/check-packages.m2
    - New file; just check packages that interface w/ other software.
      Running the entire package test suite takes ~1h, which is discouraged
      by best practices and has led to many issues.  For example, normaliz
      is not transitioning from resolute-proposed in Ubuntu right now
      because the macaulay2 autopkgtests are timing out.
  * debian/tests/control
    - Drop Architecture field for package-tests.  The only reason we were
      only testing on amd64 and arm64 was because of the timeout issues
      mentioned above.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 19 Jan 2026 10:01:18 -0500

macaulay2 (1.25.11+ds-2) unstable; urgency=medium

  * Rebuild against normaliz 3.11.0.  Should fix segfaults when running
    tests with M2 built against normaliz 3.10.5 but normaliz 3.11.0 is
    installed.
  * debian/macaulay2-common.lintian-overrides
    - Update package-contains-documentation-outside-usr-share-doc
      overrides (one new file and one file with an updated path).
  * debian/patches/gitignore.patch
    - New patch; don't install .gitignore files in package directories.
      Fixes package-contains-vcs-control-file Lintian warning.
  * debian/patches/privacy-breach-generic.patch
    - New patch; don't use external website for IFRAME example. Fixes
      privacy-breach-generic Lintian warning.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 14 Dec 2025 09:09:53 -0500

macaulay2 (1.25.11+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Drop versioned dependencies on libflint-dev and libjs-query, newer
      versions are now in oldoldstable.
    - Switch libjs-bootstrap -> libjs-bootstrap5 (Closes: #1088424).
    - Switch fonts-glyphicons-halflings -> node-fortawesome-fontawesome-free.
  * debian/copyright
    - Update Files-Excluded.  We now remove the entire js directory for
      the Visualize package, as all of its files are now automatically
      generated by webpack.
    - Update the copyright information for some of my upstream packages
      (now GPL).
    - Add copyright information for new packages:
      + CpMackeyFunctors
      + ExteriorExtensions
      + LieAlgebraRepresentations (formerly LieTypes)
      + MatrixFactorization
      + NonPrincipalTestIdeals
      + PathSignatures
      + Tableaux
      + WeilDivisors (formerly Divisors)
    - Update filename for JSON package test.
    - Drop stanza for removed pkg.m4.
  * debian/macaulay2-common.linktress
    - Update symlinks for JavaScript libraries (bootstrap3 -> bootstrap5
      and using fontawesome instead of glyphicons).
  * debian/patches
    - Remove patches applied upstream:
      + c++17.patch
      + normaliz.patch
      + package-files.patch
  * debian/patches/skip-failing-package-tests.patch
    - Skip new tests:
      + check(1, "Cyclotomic") (failing on all architectures)
      + check({72, 74, 75}, "EngineTests") (failing on s390x)
      + check(3, "NumericalImplicitiazation") (failing on s390x)
      + check(7, "Msolve") (failing on 32-bit systems)
      + check(8, "SpecialFanoFourfolds") (failing on armhf)
  * debian/patches/visualize.patch
    - New patch; use Debian packages instead of webpack-bundled JavaScript
      in the Visualize package.
  * debian/rules
    - Pass --disable-download to configure since --enable-download is now
      the default.
    - Drop get-orig-source target; we can use uscan directly now.
  * debian/watch
    - Update with new download location; upstream hosts tarballs on their
      website again.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 14 Nov 2025 11:08:07 -0500

macaulay2 (1.25.06+ds-8) unstable; urgency=medium

  * debian/patches
    - Switch some Origin fields to Bug so that forwarded status is properly
      identified.
  * debian/tests/control
    - Only run package tests on most supported architectures (amd64 and
      arm64) during continuous integration.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 25 Aug 2025 07:02:26 -0400

macaulay2 (1.25.06+ds-7) unstable; urgency=medium

  * debian/copyright
    - Fix typo that was causing a "missing-field-in-dep5-copyright"
      Lintian warning.
  * debian/macaulay2-common.lintian-overrides
    - Add override for TropicalToric README being outside of
      /usr/share/doc.
  * debian/patches/normaliz.patch
    - New patch; wrangle normaliz 3.10.5 output to match previous
      versions.
  * debian/source/lintian-overrides
    - Remove package-does-not-install-examples overrides; they now result
      in unused-override warnings.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 23 Aug 2025 13:23:12 -0400

macaulay2 (1.25.06+ds-6) unstable; urgency=medium

  * debian/tests/control
    - Omit i386 from package tests during continuous integration;
      frequently times out.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 23 Aug 2025 10:12:33 -0400

macaulay2 (1.25.06+ds-5) unstable; urgency=medium

  * debian/patches/c++17.patch
    - New patch; bump C++ standard to C++17.  Necessary for googletest
      1.17.0.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 15 Aug 2025 12:37:16 -0400

macaulay2 (1.25.06+ds-4) unstable; urgency=medium

  * Upload to unstable now that trixie has been released (no changes).

 -- Doug Torrance <dtorrance@debian.org>  Fri, 15 Aug 2025 10:48:47 -0400

macaulay2 (1.25.06+ds-3) experimental; urgency=medium

  * Upload to experimental due to trixie freeze.
  * debian/patches/package-files.patch
    - Also fix file time when loading symlinks.
  * debian/patches/skip-failing-package-tests.patch
    - Also skip check(10, "Oscillators") on i386 (QR algorithm in zgeev
      failed to compute all eigvals).

 -- Doug Torrance <dtorrance@debian.org>  Wed, 11 Jun 2025 09:01:50 -0400

macaulay2 (1.25.06+ds-2) experimental; urgency=medium

  * Upload to experimental due to trixie freeze.
  * debian/patches/package-files.patch
    - New patch; check for file existence in packageFiles instead of
      matching strings.  This fixes a bug that was causing "check User"
      to raise an error, resulting in a failing test during build.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 02 Jun 2025 12:39:21 -0400

macaulay2 (1.25.06+ds-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental due to trixie freeze.
  * debian/control
    - Bump Standards-Version to 4.7.2.
    - Add libfplll-dev to Build-Depends
  * debian/copyright
    - Update paths to some documentation files.
  * debian/rules
    - Use new --with-system-libs configure option
    - Build with fplll support
  * debian/patches/skip-failing-package-tests
    - Skip check(9, "Oscillators") on 32-bit architectures.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 01 Jun 2025 19:00:48 -0400

macaulay2 (1.25.05+ds-2) experimental; urgency=medium

  * Upload to experimental due to trixie freeze.
  * debian/patches/git-description.patch
    - Properly set git description for new release.
  * debian/patches/skip-failing-package-tests
    - Skip check({5,6}, "Oscillators") on 32-bit architectures.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 15 May 2025 19:41:05 -0400

macaulay2 (1.25.05+ds-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental due to trixie freeze.
  * debian/control
    - Add node-prismjs-bibtex to Build-Depends; now used for syntax
      highlighting citation information in the html documentation.
  * debian/copyright
    - Update copyright holders from Dan Grayson & Mike Stillman to
      "The Macaulay2 Authors", increment the year, and add a Comment
      field regarding the change.
    - Increment my copyright years for the debian directory.
    - Remove license info for removed files (FindMPIR.cmake and gtest.m4).
    - Fix paths for Boost-related m4 files.
    - Add license info for new packages:
      + AllMarkovBases
      + Brackets
      + ConnectionMatrices
      + GameTheory
      + IncidenceCorrespondenceCohomology
      + IntegerProgramming
      + Oscillators
      + ToricHigherDirectImages
  * debian/examples
    - Update cached examples:
      + Macaulay2Doc::listLocalSymbols
      + Macaulay2Doc::locate
      + Macaulay2Doc::the debugger
    - Add new cached examples (known to cause FTBFS issues):
      + SuperLinearAlgebra::superTrace
      + ThreadedGB::ThreadedGB
  * debian/macaulay2-common.install
    - Stop installing make-M2-symbols.m2 script; its functionality is now
      available using the Style package.
  * debian/macaulay2-common.lintian-overrides
    - Remove override for Macaulay2Doc README; file removed.
  * debian/nodejs/extlinks
    - Add prismjs-bibtex; now needed to generate prism.js for html
      documentation.
  * debian/patches/*
    - Refresh for new upstream release.
  * debian/patches/skip-failing-packages-tests.patch
    - Skip several failing tests.
      + check(1, "Cyclotomic") (failing on s390x)
      + check(4, "Oscillators") (failing on 32-bit architectures)
      + check(2, "Topcom") (failing on armhf)
  * debian/rules
    - Drop deprecated --enable-syntax-highlighting configure option.
  * debian/scripts/Debian.m2
    - Raise an error when there was an error generating an example.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 14 May 2025 22:56:57 -0400

macaulay2 (1.24.11+ds-5) unstable; urgency=medium

  * debian/patches/skip-failing-package-tests.patch
    - Skip several package tests that were failing during continuous
      integration testing.
      + check(85, "Complexes") (fix location, as we were skipping the
        wrong test after the last upload, and also skip on ppc64el, which
        was having the same timing mismatch issue)
      + check(16, "PhylogeneticTrees") (out of memory on i386)

 -- Doug Torrance <dtorrance@debian.org>  Sun, 09 Feb 2025 17:54:37 -0500

macaulay2 (1.24.11+ds-4) unstable; urgency=medium

  * debian/patches/skip-failing-package-tests.patch
    - Skip several package tests that were blocking the gcc-14 migration
      (Closes: #1095290):
      + check(5, "LLLBases") (out of memory on i386)
      + check(15, "PhylogeneticTrees") (out of memory on i386)
      + check(1, "SparseResultants") (out of memory on i386)
      + check(85, "Complexes") (timing mismatch on s390x)

 -- Doug Torrance <dtorrance@debian.org>  Sat, 08 Feb 2025 22:41:44 -0500

macaulay2 (1.24.11+ds-3) unstable; urgency=medium

  * debian/source/options
    - Ignore files generated by autogen.sh.
    - Escape some dots.
    - Sort lines.
  * debian/tests/control
    - Add msolve to Depends for package-tests

 -- Doug Torrance <dtorrance@debian.org>  Sat, 02 Nov 2024 20:49:13 -0400

macaulay2 (1.24.11+ds-2) unstable; urgency=medium

  * debian/copyright
    - Add license info for new NumericalSemigroups package (missed in the
      previous upload).
  * debian/patches/*
    - Refresh patches for new upstream release (some were missed in the
      previous upload).
  * debian/patches/skip-failing-package-tests.patch
    - Skip more failing tests:
      + check(1, "Depth") (fails frequently during autopkgtest)
      + check("Msolve") (all tests on i686)
      + check(11, "SumsOfSquares") (again; not fixed after all)
  * debian/scripts/m2-get-orig-source.sh
    - Run various checks with --merge option even if merge isn't needed.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 01 Nov 2024 21:08:28 -0400

macaulay2 (1.24.11+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Add gfortran to Build-Depends; now needed for detection of BLAS and
      LAPACK.
    - Add libnormaliz-dev to Build-Depends; the Macaulay2 engine now
      requires it.
    - Add libnauty-dev to Build-Depends; needed to properly detect the
      presence of libnormaliz.
    - Add msolve to Build-Depends and Recommends; needed for new Msolve
      package.
    - Remove libjs-underscore from Build-Depends-Indep; no longer used by
      the Visualize package.
  * debian/copyright
    - Remove underscore.js from Files-Excluded; file is no longer present.
    - Update paths and license info for m4 files from Autoconf Archive.
    - Add license info for new packages:
      + AbstractSimplicialComplexes
      + Msolve
      + MultigradedImplicitization
      + Permutations
      + SCMAlgebras
  * debian/examples/*
    - Update hashes for cached examples; hash codes are now 64-bit unsigned
      integers.
  * debian/macaulay2-common.linktrees
    - Remove underscore.js from list of JavaScript libraries to embed.
  * debian/patches/*
    - Refresh patches for new upstream release.
  * debian/patches/libatomic.patch
    - Remove patch; applied upstream.
  * debian/patches/skip-failing-core-tests.patch
    - Skip new test that takes too much memory during builds where we
      haven't built the documentation.
  * debian/patches/skip-failing-package-tests.patch
    - Stop skipping SumsOfSquares package test; issue fixed upstream.
    - Start skipping new tests that occassionally fail:
      + check({2, 3}, "Cremona") (arm only)
      + check(4, "Msolve") (arm & i686 only)
      + check(6, "NumericalImplicitization")
      + check({2, 3}, "ThreadedGB")
  * debian/rules
    - Stop linking against -latomic on certain architectures; this is now
      dealt with by upstream's configure script.
    - Update options to configure script when using "nopython" build
      profile since building with Python support is now the default.
    - Restore creation of dummy KaTeX files since html-check-links
      is working again.
  * debian/scripts/m2-get-orig-source.sh
    - Update versioning scheme to use "git describe" instead of counting
      the number of commits since M2/VERSION was updated.
    - Update patching of git-description.patch to account for changes to
      configure.ac.
  * debian/tests/control
    - Update basic-tests autopkgtest now that the M2 --check option has
      been simplified.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 01 Nov 2024 09:49:14 -0400

macaulay2 (1.24.05+ds-5) unstable; urgency=medium

  * debian/control
    - Add emacs-nox to Build-Depends; need it to determine the version
      number that dh-elpa will use for the Emacs files' installation
      directory during architecture-dependent builds.
  * debian/elpa-macaulay2.*
    - Update path to Emacs files (add "-src").
  * debian/patches/reproducible-version.patch
    - Stop patching the Linux kernel release with a dummy value.
  * debian/patches/use-cached-examples.patch
    - Stop raising errors when example hashes change; can be frustrating
      for package development.
  * debian/patches/use-dh-elpa.patch
    - Use currentLayout#"emacs" for Emacs path in setupEmacs().
  * debian/rules
    - Set TLIMIT to unlimited during Core tests to prevent them from
      timing out.
    - Use Emacs to determine the version number that dh-elpa will use
      when installing the Emacs files.  (In particular, it will strip
      leading 0's.)
    - Specify that the Emacs files will be installed to the elpa-src
      subdirectory.
  * debian/scripts/m2-get-orig-source.sh
    - Exit gracefully if dch is not found.
    - Keep going when M2 errors out.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 08 Sep 2024 20:38:13 -0400

macaulay2 (1.24.05+ds-4) unstable; urgency=medium

  * Rebuild against newer dh-elpa (Closes: #1077113).

 -- Doug Torrance <dtorrance@debian.org>  Sat, 27 Jul 2024 10:05:22 -0400

macaulay2 (1.24.05+ds-3) unstable; urgency=medium

  * debian/patches/skip-failing-package-tests.patch
    - Fix typo to properly skip check(13, "SpecialFanoFourfolds") on i386.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 17 May 2024 00:04:04 -0400

macaulay2 (1.24.05+ds-2) unstable; urgency=medium

  * debian/patches/skip-failing-packages-tests
    - Skip some package tests that have started to fail after garbage
      collector heap allocation changes:
      + check(12, "MultiprojectiveVarieties") (armhf)
      + check(10, "SpecialFanoFourfolds") (armhf)
      + check(13, "SpecialFanoFourfolds") (armhf, i386)
  * debian/patches/libatomic.patch
    - New patch; check if we need to link against -latomic.  This was
      causing build failures on m68k and powerpc.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 16 May 2024 16:56:06 -0400

macaulay2 (1.24.05+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 4.7.0
  * debian/copyright
    - Use https in Source URL.
    - Update copyright years for Dan Grayson and Mike Stillman.
    - Add license info for new packages (MultigradedBGG, TropicalToric,
      and VNumber).
  * debian/patches
    - Refresh for new release.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 15 May 2024 00:24:00 -0400

macaulay2 (1.23+ds-2) unstable; urgency=medium

  * debian/patches/skip-failing-package-tests.patch
    - Skip RInterface tests that are failing on riscv64 and loongarch64.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 04 Apr 2024 23:18:37 -0400

macaulay2 (1.23+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Move normaliz from Recommends to Depends; now loaded on startup.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 20 Mar 2024 06:18:28 -0400

macaulay2 (1.23~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/control
    - Remove libatomic-ops-dev from Build-Depends; no longer necessary.
    - Replace deprecated pkg-config with pkgconf in Build-Depends.
    - Add r-base to Build-depends and Suggests.
  * debian/copyright
    - Bump my copyright years
    - Remove atomic_ops-related files.
    - Add license info for new packages.
    - Update Files for documentation moved from Macaulay2Doc to Varieties
      package.
  * debian/macaulay2-common.lintian-overrides
    - Shorten override comment to avoid wrapping in terminal.
    - Add new package-contains-documentation-outside-user-share-doc
      overrides.
  * debian/patches
    - Refresh patches for new upstream release.
    - Remove patches applied upstream:
      + boost-thread.patch
      + flint3.patch
      + python-3.12.patch
  * debian/patches/no-version-select.patch
    - New package; disable version-select dropdown menu in html
      documentation.
  * debian/patches/skip-failing-package-tests.patch
    - Skip some Topcom and Triangulations package tests that frequently
      fail on arm and s390x machines.
  * debian/patches/topcom-memopt.patch
    - Add --memopt option in several more calls to TOPCOM.
  * debian/patches/use-dh-elpa.patch
    - Rewrite setupEmacs so M2 major modes will properly load even if Emacs
      isn't the Debian-packaged version.
  * debian/rules
    - Exclude .uuid files from dh_linktree; their presence was
      occasionally causing build failures.
  * debian/scripts/Debian.m2
    - Add ExampleFreeResolutions package to list of packages to skip in
      missingPackages function.
  * debian/README.Debian
    - Add r-base to "Suggested packages" section.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 02 Mar 2024 21:43:15 -0500

macaulay2 (1.22+ds-6) unstable; urgency=medium

  * debian/copyright
    - Update copyright years for gmpy2 code.
  * debian/patches/python-3.12.patch
    - New patch; add support for Python 3.12 (Closes:  #1061313).

 -- Doug Torrance <dtorrance@debian.org>  Mon, 22 Jan 2024 10:17:56 -0500

macaulay2 (1.22+ds-5) unstable; urgency=medium

  * debian/patches/boost-thread.patch
    - New patch; disable thread safety for Boost if no atomic ints or
      std::mutex. Fixes armel build with Boost 1.83.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 19 Dec 2023 17:26:50 -0500

macaulay2 (1.22+ds-4) unstable; urgency=medium

  * debian/patches/flint3.patch
    - New patch; add support for flint 3.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 16 Dec 2023 11:31:23 -0500

macaulay2 (1.22+ds-3) unstable; urgency=medium

  * debian/patches/skip-failing-package-tests.patch
    - Skip check(26, MultiplierIdeals); it has been failing with the latest
      release of singular, preventing both packages from migrating to
      testing.
  * debian/scripts/Debian.m2
    - Update skipTestHelper for latest release.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 04 Sep 2023 14:08:28 -0400

macaulay2 (1.22+ds-2) unstable; urgency=medium

  * debian/source/options
    - Ignore changes to generated vim and Python example files
      (Closes: #1047937).

 -- Doug Torrance <dtorrance@debian.org>  Thu, 24 Aug 2023 07:28:04 -0400

macaulay2 (1.22+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Remove libgivaro-dev from Build-Depends; no longer needed.
    - Replace node-highlight.js with node-prismjs in Build-Depends;
      the JavaScript engine for syntax highlighting the HTML
      documentation has changed.
    - Remove w3c-markup-validator from Build-Depends; no longer used
      now that HTML documentation has switched from XHTML 1.1 to HTML5.
  * debian/copyright
    - Add vendored Prism JavaScript files to Files-Excluded.
    - Bump my copyright years.
    - Add license information for new packages:
      + BernsteinSato
      + CellularResolutions
      + HolonomicSystems
      + MatchingFields
      + PolyominoIdeals
      + SagbiGbDetection
    - Remove validator-runner.py license information; script was removed.
  * debian/examples
    - Add new cached examples:
      + AssociativeAlgebras::oppositeRing (known to segfault)
      + Macaulay2Doc::autoload (build path)
      + Macaulay2Doc::listLocalSymbols (build path)
      + Macaulay2Doc::locate (build path)
      + Macaulay2Doc::the debugger (build path)
  * debian/nodejs/extlinks
    - Swap highlight.js for prismjs
  * debian/patches
    - Refresh for new upstream release.
    - highlightjs.patch: Remove patch; unnecessary after switch to Prism.
    - reproducible-startup-m2.patch: New patch; use install location
      instead of build location for startup.m2 file location (for
      reproducibility).
  * debian/rules
    - Update build to use Prism instead of highlight.js.
    - Remove HTML validation check during dh_auto_test.  After switching to
      HTML5, this check now uses the Python tool html5validator, which is
      not in Debian yet.
  * debian/script/Debian.m2
    - Add new cached examples to list of examples to generate.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 14 Jun 2023 21:42:55 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog macaulay2`.
